Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 487146 - x11-drivers/nvidia-drivers-331.13 black screen in some games
Summary: x11-drivers/nvidia-drivers-331.13 black screen in some games
Status: RESOLVED OBSOLETE
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Jeroen Roovers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-06 18:43 UTC by C.J. Wijtmans
Modified: 2016-10-20 11:22 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description C.J. Wijtmans 2013-10-06 18:43:03 UTC
games that worked prior to x11-drivers/nvidia-drivers-331.13 now have a black screen on the new nvidia-drivers update.

- natural selection 2
- guns of icarus online

some simple 2d games work and tf2 works.
Comment 1 Jeroen Roovers gentoo-dev 2013-10-06 18:46:14 UTC
Please post your `emerge --info' output in a comment.
Comment 2 C.J. Wijtmans 2013-10-06 18:56:50 UTC
$ emerge --info
Portage 2.2.7 (default/linux/amd64/13.0, gcc-4.7.3, glibc-2.17, 3.9.11 x86_64)
=================================================================
System uname: Linux-3.9.11-x86_64-Intel-R-_Core-TM-_i5_CPU_650_@_3.20GHz-with-gentoo-2.2
KiB Mem:    16277676 total,   6843640 free
KiB Swap:   16777212 total,  16777212 free
Timestamp of tree: Sun, 06 Oct 2013 18:30:01 +0000
ld GNU ld (GNU Binutils) 2.23.2
app-shells/bash:          4.2_p45
dev-java/java-config:     2.2.0::java
dev-lang/python:          2.7.5-r2, 3.3.2-r2
dev-util/cmake:           2.8.11.2
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.12.1
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.10.3, 1.11.6, 1.12.6, 1.14
sys-devel/binutils:       2.23.2
sys-devel/gcc:            4.7.3-r1
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.11 (virtual/os-headers)
sys-libs/glibc:           2.17
Repositories: gentoo gamerlay java hasufell
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.5/ext-active/ /etc/php/cgi-php5.5/ext-active/ /etc/php/cli-php5.5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--quiet-build --quiet-fail --quiet-unmerge-warn --fail-clean --autounmask=y --autounmask-write --keep-going"                                                                     
FCFLAGS="-O2 -pipe"                                                                                
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fail-clean fixlafiles merge-sync news nodoc noman parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"   
FFLAGS="-O2 -pipe"                                                                                 
GENTOO_MIRRORS="ftp://ftp.snt.utwente.nl/pub/os/linux/gentoo ftp://gentoo.tiscali.nl/pub/mirror/gentoo/ ftp://mirror.leaseweb.com/gentoo/"                                                            
LANG="en_GB.utf8"                                                                                  
LDFLAGS="-Wl,-O1 -Wl,--as-needed"                                                                  
MAKEOPTS="-j5"                                                                                     
PKGDIR="/usr/portage/packages"                                                                     
PORTAGE_CONFIGROOT="/"                                                                             
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"                                                                         
PORTAGE_TMPDIR="/tmp/"                                                                             
PORTDIR="/usr/portage"                                                                             
PORTDIR_OVERLAY="/var/lib/layman/gamerlay /var/lib/layman/java /var/lib/layman/hasufell"           
USE="32bit 64bit X aac accessibility acpi additions agg alsa amd64 amr apache2 apm apng archive asf asm aspell audio avcodec avformat avi boost bzip2 c++0x cjk cli cmake consolekit corefonts ctype curl cxx dbus dds development dirac dos dri egl eigen encode eselect evdev exceptions exif external-fuse faac facebook fam ffmpeg fftw flac fontconfig ftp ftps fuse g3dvl gallium gcrypt gd gif git glew glib glibc-omitfp gmm gmp gnutls google gpl gpm graphite gsl gstreamer gtkstyle gudev hwdb iconv icu ilbc imagemagick inotify introspection ipc javascript jit joystick jpeg jpeg2k kate kdcraw kde kdrive keyboard keymap kipi kmod lame lcms libass libkms libnotify libtar lm_sensors lzma mad minimal minizip mmap mmx mmxext mng mono mouse mp3 mp4 mpeg multilib music mysql mysqli ncurses net network nptl nsplugin ntfs ntfsprogs ogg okular openal opencl openexr opengl opengtl openmp openrc openssl openvg opus pam pcre pdf pm-utils png policykit portage postproc qt qt3support qt4 rar readline rtc s3tc sasl savedconfig schroedinger sdk sftp shm shout skins skype smp sound spell sql sqlite sse sse2 sse3 sse4 sse4_1 sse4_2 ssh ssl ssse3 svg swscale system-ffmpeg system-sqlite sysvipc tar theora threads threadsafe tiff truetype twitter udev udisks unicode upower urandom usb vaapi vdpau vhosts video vlc vnc voice vorbis vpx webm webp wide-unicode wine wmf x264 xcb xcursor xinput xlib-xcb xml xorg xpm xrandr xv xvid zip zlib zsh-completion" ABI_X86="64" APACHE2_MODULES="authz_core authn_core authz_user unixd socache_shmcb mime userdir autoindex dir cache authz_host" CALLIGRA_FEATURES="krita" CURL_SSL="openssl" ELIBC="glibc" INPUT_DEVICES="evdev" KERNEL="linux" PHP_TARGETS="php5_5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7" USERLAND="GNU" VIDEO_CARDS="nvidia"
USE_PYTHON="2.7"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, SYNC
Comment 3 Billy DeVincentis 2013-10-07 13:35:38 UTC
I began to see a black screen also but not in games, I was getting it aftyer entering my password on the screen locker screen and it would take alsmost a minute for the screen to resume. I reverted to the previous driver
Comment 4 C.J. Wijtmans 2013-10-07 15:03:28 UTC
i rebuild the drivers against 3.10.15 and it resolved the black screen for me.
Comment 5 C.J. Wijtmans 2013-10-07 15:04:18 UTC
i mean i upgraded my kernel to 3.10.15 and rebuild the drivers and it resolved the black screens.
Comment 6 C.J. Wijtmans 2013-10-07 16:38:55 UTC
nevermind still black screens. back to masking it.
Comment 7 salamanderrake 2013-10-17 02:28:06 UTC
Could you check to see if /usr/lib32/libnvcuvid.so.331.13 or /usr/lib32/libnvidia-encode.so.331.13 exist on your system. For me they are missing and I get 

```
NVIDIA: API mismatch: the NVIDIA kernel module has version 331.13,
but this NVIDIA driver component has version 313.09.  Please make
sure that the kernel module and all NVIDIA driver components
have the same version.
```

Message running chromium and watching flash videos which do go black over time. Like the whole thing is black including the controls. Seems like this secion in the nvidia-drivers ebuild does not get executed for the 32bit emerge.

```
 # NVIDIA video encode/decode <-> CUDA
        if use kernel_linux; then
                donvidia ${NV_OBJ}/libnvcuvid.so ${NV_SOVER}
                donvidia ${NV_OBJ}/libnvidia-encode.so ${NV_SOVER}
        fi
```
Comment 8 C.J. Wijtmans 2013-10-20 13:46:18 UTC
salamanderrake, doubt it has anything to do with that. And to be honest i am not going to check until we get a newer nvidia-drivers.